## org.biojava.bio.gui.sequence
Class SequenceViewerMotionSupport

    java.lang.Object
      org.biojava.bio.gui.sequence.SequenceViewerMotionSupport

    public class SequenceViewerMotionSupport

extends Object

Author:
  Matthew Pocock

Constructor Summary
`SequenceViewerMotionSupport()`

Method Summary
`void` `addSequenceViewerMotionListener(SequenceViewerMotionListener svl)`
`void` `fireMouseDragged(SequenceViewerEvent sve)`
`void` `fireMouseMoved(SequenceViewerEvent sve)`
`void` `removeSequenceViewerMotionListener(SequenceViewerMotionListener svl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceViewerMotionSupport

    public SequenceViewerMotionSupport()

Method Detail

### addSequenceViewerMotionListener

    public void addSequenceViewerMotionListener(SequenceViewerMotionListener svl)

### removeSequenceViewerMotionListener

    public void removeSequenceViewerMotionListener(SequenceViewerMotionListener svl)

### fireMouseDragged

    public void fireMouseDragged(SequenceViewerEvent sve)

### fireMouseMoved

    public void fireMouseMoved(SequenceViewerEvent sve)